%bcond_without check
%global __cargo_skip_build 0

Summary:        A mediated device management utility for Linux
Name:           mdevctl
Version:        1.2.0
Release:        5%{?dist}
License:        LGPLv2
URL:            https://crates.io/crates/mdevctl
Source0:        https://github.com/mdevctl/mdevctl/archive/refs/tags/mdevctl-%{version}.tar.gz
# download with `cargo vendor` with cargo.toml, then package them up with `tar jzvf`
Source1:        mdevctl-1.2.0-vendor.tar.bz2

ExclusiveArch:  %{rust_arches}

BuildRequires: make systemd rust-packaging python3-docutils cargo
Requires(post,postun): %{_sbindir}/udevadm

%description
mdevctl is a utility for managing and persisting devices in the
mediated device device framework of the Linux kernel.  Mediated
devices are sub-devices of a parent device (ex. a vGPU) which
can be dynamically created and potentially used by drivers like
vfio-mdev for assignment to virtual machines.

%prep
%autosetup -p1
tar jxf %{SOURCE1}
mkdir .cargo
cat > .cargo/config <<EOF
[source.crates-io]
replace-with = "vendored-sources"
[source.vendored-sources]
directory = "vendor"
EOF

%build
%cargo_build

%install
%make_install

%if %{with check}
%check
%cargo_test
%endif

%files
%license COPYING
%doc README.md
%{_sbindir}/mdevctl
%{_sbindir}/lsmdev
%{_udevrulesdir}/60-mdevctl.rules
%dir %{_sysconfdir}/mdevctl.d
%dir %{_sysconfdir}/mdevctl.d/scripts.d/callouts
%dir %{_sysconfdir}/mdevctl.d/scripts.d/notifiers
%{_mandir}/man8/mdevctl.8*
%{_mandir}/man8/lsmdev.8*
%{_datadir}/bash-completion/completions/mdevctl
%{_datadir}/bash-completion/completions/lsmdev

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jul 18 2023 Wang Guodong <gordonwwang@tencent.com> - 1.2.0-4
- Rebuilt for rust 1.69.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jan 11 2023 wynnfeng <wynnfeng@tencent.com> - 1.2.0-1
- initial build
